0
0

Delete article

Deleted articles cannot be recovered.

Draft of this article would be also deleted.

Are you sure you want to delete this article?

More than 5 years have passed since last update.

SketchUp Make v17 / Ruby > 直方体のfacesのnormalを表示する

Last updated at Posted at 2016-12-29
動作環境
SketchUp Make v17.1.173
MacOS X El Capitan

直方体のfacesのnormalを取りたい。
その情報を使って各面に対してプッシュプルをしたいが、今回はとりあえずnormalを取るまでとする。

参考 http://ruby.sketchup.com/Sketchup/Face.html

faceAnalysis161229.rb
require 'sketchup.rb'

def face_analyze()
	model = Sketchup.active_model
	my_selection = model.selection

	my_selection.each do |ent|
		if ent.is_a? Sketchup::Face
			print("face:",ent.normal,"\n")
		end
	end
end

上記のスクリプトをRubyコンソールにて読込む。
(スクリプトの置き場所はこちら参照)

> load "faceAnalysis161229.rb"
true

実行手順

  1. 直方体を作る
    • 平面作成
    • プッシュプルツール
  2. 直方体(グループ化してないもの)をトリプルクリックする
    • 6面が選択される
  3. Rubyコンソールで「face_analyze()」を実行する。

下図の左側(矢印で示した直方体)を選択してみた。

qiita.png

結果
> face_analyze()
face:(0.0, -1.0, 0.0)
face:(-0.0, -0.0, 1.0)
face:(0.0, 0.0, -1.0)
face:(-1.0, 0.0, 0.0)
face:(1.0, -0.0, -0.0)
face:(-0.0, 1.0, -0.0)
# <Sketchup::Selection:0x007fe48d5b7ad8>

上、下、左、右、手前、奥、方向のnormalが取れていそう。

0
0
0

Register as a new user and use Qiita more conveniently

  1. You get articles that match your needs
  2. You can efficiently read back useful information
  3. You can use dark theme
What you can do with signing up
0
0

Delete article

Deleted articles cannot be recovered.

Draft of this article would be also deleted.

Are you sure you want to delete this article?